MARTe2-core - User story #313

Bug_fixing_demo
15.11.2016 14:24 - André Neto

Status: Closed Start date: 15.11.2016
Priority: Normal Due date:
Assignee: André Neto % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.12 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Solve this issues found during the 10 demo:

Load classes from DLL in run-time; (SOLVED)

BufferedStreamGenerator for File, UDPSocket and other streams is not working; (SOLVED)

Improve documentation on timing DataSourcel signal names (SOLVED)

Improve documentation DataSourcel Locked parameter (value must be specified as 1 and not as true) (SOLVED)

Do not remove signals from the DataSourcel even these are not consumed or produced by a GAM (IT WAS NOT A BUG)
The EmbeddedThreadl has to allow to specify affinity and friends (SOLVED)

Allow to Trigger the DataSourcel at a precise point in time (Feature added)

Solved many small bugs on the GAMScheduler and on the FileSystem/L3Streams
Source code files modified

Architecture & design review

Date of the review: 15/11/2016

Person who did the review: Andre' Neto

Version of architecture & design document: N/A.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 28/11/2016

Person who did the review: Andre' Neto (in an independent PC)
Result of review: PASS

List of non-conformities:

./Source/Core/FileSystem/L1Portability/Environment/Linux/BasicSocket.cpp:59:16: Warning 1506: Call to virtual function
'MARTe::BasicSocket::IsValid(void) const' within a constructor or destructor [MISRA C++ Rule 12-1-1]
./Source/Core/Scheduler/L5GAMs/GAMScheduler.cpp:170:82: Note 9153: viable set contains both function
'MARTe::MultiThreadService::MultiThreadService (line 60, file ./Source/Core/Scheduler/L3Services/MultiThreadService.h)' and
template 'MARTe::MultiThreadService::MultiThreadService (line 261, file ./Source/Core/Scheduler/L3Services/MultiThreadService.h)'
[MISRA C++ Rule 14-8-2]

./Source/Core/Scheduler/L3Services/MultiThreadService.h:60:1: Info 830: Location cited in prior message
./Source/Core/Scheduler/L4Messages/QueuedMessagel.cpp:47:37: Note 9153: viable set contains both function
'MARTe::SingleThreadService::SingleThreadService (line 65, file ./Source/Core/Scheduler/L3Services/SingleThreadService.h,
module ./Source/Core/Scheduler/L5GAMs/GAMScheduler.cpp)' and template 'MARTe::SingleThreadService::SingleThreadService
(line 160, file ./Source/Core/Scheduler/L3Services/SingleThreadService.h)' [MISRA C++ Rule 14-8-2]
./Source/Core/Scheduler/L3Services/SingleThreadService.h:65:1: Info 830: Location cited in prior message

Note 974: Worst case function for stack usage: 'MARTe::ConfigurationDatabase::Copy' is recursive, loop contains call to
'MARTe::ConfigurationDatabase::Copy'. See stack for a full report. [MISRA C+ Rule 7-5-4]

Unit test review

Date of the review: 28/11/2016

Person who did the review: Andre' Neto

Result of coverage tests review: PASS

Result of functional tests review: PASS

Result of review: PASS

List of non-conformities:

FAILED 1] 5 tests, listed below:

FAILED ] ThreadsGTest.TestGetThreadlnfoCopy
FAILED ] ThreadsGTest.TestPriority

FAILED ] IOBufferGTest.TestPrintStructuredDatalnterface

FAILED ] HighResolutionTimerGTest.TestCounter
FAILED ] HighResolutionTimerGTest.TestCounter32

——————

History

#1 - 15.11.2016 14:36 - André Neto

- Description updated

#2 - 16.11.2016 11:48 - André Neto

- Description updated

#3 - 16.11.2016 17:50 - André Neto

- Description updated

#4 - 17.11.2016 15:39 - André Neto

- Description updated

#5 - 28.11.2016 14:19 - André Neto
- Status changed from Code: Impl to Code: Rev

#6 - 28.11.2016 14:47 - André Neto
- Description updated

- Status changed from Code: Rev to Unit: Rev

#7 - 28.11.2016 14:47 - André Neto

- Description updated

#8 - 28.11.2016 15:34 - André Neto

- Status changed from Unit: Rev to Closed
